> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a batch of contacts by vid

> For a given account, return information about a group of contacts by their unique IDs. A contact's unique ID is stored in a field called 'vid' which stands for 'visitor ID'. The endpoint accepts many query parameters that allow for customization based on a variety of integration use cases. By default, this endpoint will not return the history for properties, only the current value of any populated properties, but you can include the history using the parameters listed below. Requests should be limited to 100 records in a single request.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['crm.objects.contacts.read', 'content', 'crm.objects.contacts.write']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v1/crm-contacts-v1.json GET /contacts/v1/contact/vids/batch/
openapi: 3.0.0
info:
  title: CRM Contacts API v1
  version: 1.0.0
  description: Use the contact lists API to create and manage contact lists.
  x-hubspot-introduction: Use the contact lists API to create and manage contact lists.
  x-hubspot-api-use-case: >-
    Retrieve a contact list by ID to bring that contact data into your external
    system.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /contacts/v1/contact/vids/batch/:
    get:
      summary: Get a batch of contacts by vid
      description: >-
        For a given account, return information about a group of contacts by
        their unique IDs. A contact's unique ID is stored in a field called
        'vid' which stands for 'visitor ID'. The endpoint accepts many query
        parameters that allow for customization based on a variety of
        integration use cases. By default, this endpoint will not return the
        history for properties, only the current value of any populated
        properties, but you can include the history using the parameters listed
        below. Requests should be limited to 100 records in a single request.
      operationId: getcontactsv1contactvidsbatch
      parameters:
        - name: contact_email
          in: path
          required: true
          description: The email address for the contact you're searching for.
          schema:
            type: string
        - name: property
          in: query
          required: false
          description: >-
            By default, all valued properties will be included. If you include
            the "property" parameter, then the returned data will only include
            the property or properties that you request. You can include this
            parameter multiple times to specify multiple properties. The
            `lastmodifieddate` and `associatedcompanyid` will always be
            included, even if not specified. Keep in mind that only properties
            that have a value will be included in the response, even if
            specified in the URL.
          schema:
            type: string
        - name: propertyMode
          in: query
          required: false
          description: >-
            One of `value_only` or `value_and_history` to specify if the current
            value for a property should be fetched, or the value and all the
            historical values for that property. Default is `value_and_history`.
          schema:
            type: string
        - name: formSubmissionMode
          in: query
          required: false
          description: >-
            One of `all`, `none`, `newest`, `oldest` to specify which form
            submissions should be fetched. Default is `all`.
          schema:
            type: string
        - name: showListMemberships
          in: query
          required: false
          description: >-
            Boolean `true` or `false` to indicate whether current list
            memberships should be fetched for the contact. Default is `true`.
          schema:
            type: string
      responses:
        '200':
          description: >-
            Successful response - The _get a contact by email address_ endpoint
            allows a given account to get information about a single contact by
            its email address
          content:
            application/json:
              schema:
                type: object
              examples:
                example1:
                  summary: Get a batch of contacts by vid - Example 1
                  value:
                    '3234574':
                      vid: 3234574
                      canonical-vid: 3234574
                      merged-vids: []
                      portal-id: 62515
                      is-contact: true
                      properties:
                        hs_analytics_last_url:
                          value: ''
                        lead_source:
                          value: DiscoverOrg
                        num_unique_conversion_events:
                          value: '0'
                        hs_analytics_revenue:
                          value: '0.0'
                        createdate:
                          value: '1484026585538'
                        hs_analytics_first_referrer:
                          value: ''
                        hs_email_optout:
                          value: 'true'
                        hs_predictivecontactscore:
                          value: '50'
                        annualrevenue:
                          value: '181900000'
                        hs_analytics_num_page_views:
                          value: '0'
                        state:
                          value: MA
                        zip:
                          value: '02139'
                        fortune_rank:
                          value: ''
                        hs_predictivecontactscorebucket:
                          value: bucket_3
                        hubspotscore:
                          value: '0'
                        linkedinconnections:
                          value: '0'
                        hs_lifecyclestage_subscriber_date:
                          value: '1484026585538'
                        hs_analytics_average_page_views:
                          value: '0'
                        lastname:
                          value: Test
                        twitterhandle:
                          value: ghidinelli
                        phone:
                          value: 555-122-2323
                        num_conversion_events:
                          value: '0'
                        currentlyinworkflow:
                          value: 'false'
                        hs_analytics_num_event_completions:
                          value: '2'
                        followercount:
                          value: '582'
                        hs_email_optout_2849:
                          value: ''
                        associatedcompanyid:
                          value: '184896670'
                        firstname:
                          value: HubSpot
                        city:
                          value: Cambridge
                        hs_email_optout_354586:
                          value: ''
                        hs_social_num_broadcast_clicks:
                          value: '0'
                        hs_analytics_last_timestamp:
                          value: ''
                        hs_analytics_num_visits:
                          value: '0'
                        twitterbio:
                          value: >-
                            Racer, entrepreneur, world traveler. Crossfitter,
                            foodie, kitesurfing newbie. If racing is life, I'm
                            building a lifestyle business @MotorsportReg
                            @RaceHeroApp
                        hs_social_linkedin_clicks:
                          value: '0'
                        hs_analytics_last_visit_timestamp:
                          value: ''
                        hs_social_last_engagement:
                          value: ''
                        hs_twitterid:
                          value: '49019793'
                        associatedcompanylastupdated:
                          value: '13365279006997343'
                        hs_analytics_source:
                          value: OFFLINE
                        company:
                          value: HubSpot
                        email:
                          value: testingapis@hubspot.com
                        linkedinbio:
                          value: Racecar driver, entrepreneur, world traveler
                        hs_analytics_first_url:
                          value: ''
                        website:
                          value: ''
                        address:
                          value: 25 First Street
                        hs_analytics_first_visit_timestamp:
                          value: ''
                        hs_analytics_first_timestamp:
                          value: '1484026585538'
                        lastmodifieddate:
                          value: '1484859513090'
                        photo:
                          value: ''
                        hs_social_google_plus_clicks:
                          value: '0'
                        hs_analytics_last_referrer:
                          value: ''
                        kloutscoregeneral:
                          value: '48'
                        hs_email_optout_230318:
                          value: ''
                        hs_social_facebook_clicks:
                          value: '0'
                        twitterprofilephoto:
                          value: ''
                        hs_analytics_source_data_2:
                          value: ''
                        hs_social_twitter_clicks:
                          value: '0'
                        hs_analytics_source_data_1:
                          value: API
                        lifecyclestage:
                          value: subscriber
                      form-submissions: []
                      identity-profiles:
                        - vid: 3234574
                          saved-at-timestamp: 1484026585613
                          deleted-changed-timestamp: 0
                          identities:
                            - type: EMAIL
                              value: testingapis@hubspot.com
                              timestamp: 1484026585538
                            - type: LEAD_GUID
                              value: 4b11f8af-50d9-4665-9c43-bb2fc46e3a80
                              timestamp: 1484026585610
                      merge-audits: []
                      associated-company:
                        company-id: 184896670
                        portal-id: 62515
                        properties:
                          country:
                            value: United States
                          city:
                            value: Cambridge
                          num_associated_contacts:
                            value: '102'
                          timezone:
                            value: America/New_York
                          facebook_company_page:
                            value: ''
                          createdate:
                            value: '1457708103847'
                          description:
                            value: >-
                              HubSpot is the world’s leading inbound marketing
                              and sales platform. Since 2006, HubSpot has been
                              on a mission to make the world more inbound.
                              Today, over 10,000 customers in 65 countries use
                              HubSpot’s software, services, and support to
                              transform the way they attract, engage, and
                              delight customers. HubSpot’s inbound marketing
                              software, ranked #1 in customer satisfaction by
                              VentureBeat and G2Crowd, includes social media
                              publishing and monitoring, blogging, SEO, website
                              content management, email marketing, marketing
                              automation, and reporting and analytics, all in
                              one integrated platform. Signals, HubSpot’s
                              award-winning sales application, enables sales and
                              service teams to have more effective conversations
                              with leads, prospects, and customers. HubSpot is
                              headquartered in Cambridge, MA with an office in
                              Dublin, Ireland, and has been recognized by Inc.,
                              Forbes, and Deloitte as one of the world’s
                              fastest-growing companies.
                          industry:
                            value: COMPUTER_SOFTWARE
                          total_money_raised:
                            value: $100.5M
                          days_to_close:
                            value: '220'
                          hs_analytics_num_visits:
                            value: '0'
                          linkedin_company_page:
                            value: ''
                          recent_conversion_event_name:
                            value: 'Contact Us: excedalogic form'
                          hs_analytics_source:
                            value: OFFLINE
                          num_contacted_notes:
                            value: '12'
                          annualrevenue:
                            value: '250000000'
                          founded_year:
                            value: '2006'
                          hs_analytics_num_page_views:
                            value: '0'
                          state:
                            value: MA
                          linkedinbio:
                            value: >-
                              HubSpot is the world’s leading inbound marketing
                              and sales platform. Since 2006, HubSpot has been
                              on a mission to make the world more inbound.
                              Today, over 10,000 customers in 65 countries use
                              HubSpot’s software, services, and support to
                              transform the way they attract, engage, and
                              delight customers. HubSpot’s inbound marketing
                              software, ranked #1 in customer satisfaction by
                              VentureBeat and G2Crowd, includes social media
                              publishing and monitoring, blogging, SEO, website
                              content management, email marketing, marketing
                              automation, and reporting and analytics, all in
                              one integrated platform. Signals, HubSpot’s
                              award-winning sales application, enables sales and
                              service teams to have more effective conversations
                              with leads, prospects, and customers. HubSpot is
                              headquartered in Cambridge, MA with an office in
                              Dublin, Ireland, and has been recognized by Inc.,
                              Forbes, and Deloitte as one of the world’s
                              fastest-growing companies.
                          notes_next_activity_date:
                            value: ''
                          zip:
                            value: '02141'
                          notes_last_updated:
                            value: '1480625888696'
                          website:
                            value: hubspot.com
                          closedate:
                            value: '1476768116137'
                          hs_analytics_first_timestamp:
                            value: '1390574181854'
                          first_conversion_date:
                            value: '1477892839033'
                          engagements_last_meeting_booked:
                            value: ''
                          first_contact_createdate:
                            value: '1390574181854'
                          twitterhandle:
                            value: HubSpot
                          hs_lastmodifieddate:
                            value: '1484854497180'
                          notes_last_contacted:
                            value: '1479030015191'
                          phone:
                            value: +1 888-482-7768
                          num_conversion_events:
                            value: '40'
                          domain:
                            value: hubspot.com
                          is_public:
                            value: 'true'
                          name:
                            value: Hubspot, Inc.
                          recent_conversion_date:
                            value: '1484844458500'
                          hs_analytics_source_data_2:
                            value: ''
                          hs_analytics_source_data_1:
                            value: ''
                          first_conversion_event_name:
                            value: excedalogic form
                          num_notes:
                            value: '12'
                    '3714024':
                      vid: 3714024
                      canonical-vid: 3714024
                      merged-vids: []
                      portal-id: 62515
                      is-contact: true
                      properties:
                        country:
                          value: United States of America
                        hs_analytics_last_url:
                          value: ''
                        num_unique_conversion_events:
                          value: '0'
                        hs_analytics_revenue:
                          value: '0.0'
                        createdate:
                          value: '1484693212904'
                        hs_analytics_first_referrer:
                          value: ''
                        hs_email_optout:
                          value: ''
                        days_to_close:
                          value: '2'
                        hs_predictivecontactscore:
                          value: '51'
                        hs_analytics_num_page_views:
                          value: '0'
                        hs_predictivecontactscorebucket:
                          value: bucket_3
                        hubspotscore:
                          value: '0'
                        hs_lifecyclestage_subscriber_date:
                          value: '1484693212904'
                        hs_analytics_average_page_views:
                          value: '0'
                        lastname:
                          value: Record
                        num_conversion_events:
                          value: '0'
                        currentlyinworkflow:
                          value: 'false'
                        hs_analytics_num_event_completions:
                          value: '0'
                        hs_lifecyclestage_customer_date:
                          value: '1484854496353'
                        hs_email_optout_2849:
                          value: ''
                        associatedcompanyid:
                          value: '184896670'
                        firstname:
                          value: Updated
                        hs_email_optout_354586:
                          value: ''
                        hs_social_num_broadcast_clicks:
                          value: '0'
                        hs_analytics_last_timestamp:
                          value: ''
                        hs_analytics_num_visits:
                          value: '0'
                        hs_social_linkedin_clicks:
                          value: '0'
                        hs_analytics_last_visit_timestamp:
                          value: ''
                        hs_social_last_engagement:
                          value: ''
                        associatedcompanylastupdated:
                          value: '14538011802288603'
                        hs_analytics_source:
                          value: OFFLINE
                        business_type:
                          value: Other
                        email:
                          value: new-email@hubspot.com
                        hs_analytics_first_url:
                          value: ''
                        website:
                          value: ''
                        address:
                          value: ''
                        closedate:
                          value: '1484854496353'
                        hs_analytics_first_visit_timestamp:
                          value: ''
                        hs_analytics_first_timestamp:
                          value: '1484693212904'
                        lastmodifieddate:
                          value: '1484854580823'
                        hs_social_google_plus_clicks:
                          value: '0'
                        hs_analytics_last_referrer:
                          value: ''
                        hs_email_optout_230318:
                          value: ''
                        hs_social_facebook_clicks:
                          value: '0'
                        hs_analytics_source_data_2:
                          value: ''
                        hs_social_twitter_clicks:
                          value: '0'
                        hs_analytics_source_data_1:
                          value: API
                        lifecyclestage:
                          value: customer
                        hs_email_sends_since_last_engagement:
                          value: '0'
                      form-submissions: []
                      identity-profiles:
                        - vid: 3714024
                          saved-at-timestamp: 1484854496366
                          deleted-changed-timestamp: 0
                          identities:
                            - type: LEAD_GUID
                              value: 670706c0-3f5c-485b-9bee-5d0b0c6aef97
                              timestamp: 1484693212959
                            - type: EMAIL
                              value: new-email@hubspot.com
                              timestamp: 1484854496353
                      merge-audits: []
                      associated-company:
                        company-id: 184896670
                        portal-id: 62515
                        properties:
                          country:
                            value: United States
                          city:
                            value: Cambridge
                          num_associated_contacts:
                            value: '102'
                          timezone:
                            value: America/New_York
                          facebook_company_page:
                            value: ''
                          createdate:
                            value: '1457708103847'
                          description:
                            value: >-
                              HubSpot is the world’s leading inbound marketing
                              and sales platform. Since 2006, HubSpot has been
                              on a mission to make the world more inbound.
                              Today, over 10,000 customers in 65 countries use
                              HubSpot’s software, services, and support to
                              transform the way they attract, engage, and
                              delight customers. HubSpot’s inbound marketing
                              software, ranked #1 in customer satisfaction by
                              VentureBeat and G2Crowd, includes social media
                              publishing and monitoring, blogging, SEO, website
                              content management, email marketing, marketing
                              automation, and reporting and analytics, all in
                              one integrated platform. Signals, HubSpot’s
                              award-winning sales application, enables sales and
                              service teams to have more effective conversations
                              with leads, prospects, and customers. HubSpot is
                              headquartered in Cambridge, MA with an office in
                              Dublin, Ireland, and has been recognized by Inc.,
                              Forbes, and Deloitte as one of the world’s
                              fastest-growing companies.
                          industry:
                            value: COMPUTER_SOFTWARE
                          total_money_raised:
                            value: $100.5M
                          days_to_close:
                            value: '220'
                          hs_analytics_num_visits:
                            value: '0'
                          linkedin_company_page:
                            value: ''
                          recent_conversion_event_name:
                            value: 'Contact Us: excedalogic form'
                          hs_analytics_source:
                            value: OFFLINE
                          num_contacted_notes:
                            value: '12'
                          annualrevenue:
                            value: '250000000'
                          founded_year:
                            value: '2006'
                          hs_analytics_num_page_views:
                            value: '0'
                          state:
                            value: MA
                          linkedinbio:
                            value: >-
                              HubSpot is the world’s leading inbound marketing
                              and sales platform. Since 2006, HubSpot has been
                              on a mission to make the world more inbound.
                              Today, over 10,000 customers in 65 countries use
                              HubSpot’s software, services, and support to
                              transform the way they attract, engage, and
                              delight customers. HubSpot’s inbound marketing
                              software, ranked #1 in customer satisfaction by
                              VentureBeat and G2Crowd, includes social media
                              publishing and monitoring, blogging, SEO, website
                              content management, email marketing, marketing
                              automation, and reporting and analytics, all in
                              one integrated platform. Signals, HubSpot’s
                              award-winning sales application, enables sales and
                              service teams to have more effective conversations
                              with leads, prospects, and customers. HubSpot is
                              headquartered in Cambridge, MA with an office in
                              Dublin, Ireland, and has been recognized by Inc.,
                              Forbes, and Deloitte as one of the world’s
                              fastest-growing companies.
                          notes_next_activity_date:
                            value: ''
                          zip:
                            value: '02141'
                          notes_last_updated:
                            value: '1480625888696'
                          website:
                            value: hubspot.com
                          closedate:
                            value: '1476768116137'
                          hs_analytics_first_timestamp:
                            value: '1390574181854'
                          first_conversion_date:
                            value: '1477892839033'
                          engagements_last_meeting_booked:
                            value: ''
                          first_contact_createdate:
                            value: '1390574181854'
                          twitterhandle:
                            value: HubSpot
                          hs_lastmodifieddate:
                            value: '1484854497180'
                          notes_last_contacted:
                            value: '1479030015191'
                          phone:
                            value: +1 888-482-7768
                          num_conversion_events:
                            value: '40'
                          domain:
                            value: hubspot.com
                          is_public:
                            value: 'true'
                          name:
                            value: Hubspot, Inc.
                          recent_conversion_date:
                            value: '1484844458500'
                          hs_analytics_source_data_2:
                            value: ''
                          hs_analytics_source_data_1:
                            value: ''
                          first_conversion_event_name:
                            value: excedalogic form
                          num_notes:
                            value: '12'
      security:
        - oauth2:
            - crm.objects.contacts.read
        - oauth2_legacy: []
        - private_apps:
            - crm.objects.contacts.read
        - private_apps_legacy: []
components: {}

````